//
//  RootViewController.h
//  MicroLifeDeviceSDK-Dome
//
//  Created by WiFi@ on 2018/5/21.
//  Copyright © 2018年 WiFi@MBP. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MicroLifeDeviceSDK/MicroLifeDeviceSDK.h>
#import "NSObject+ModelToDictionary.h"
#import "WxyToolBox.h"

#define SDKkey_BPM @""
#define SDKkey_WEI @""
#define SDKkey_BT @""
#define SDKkey_WBP @""

#define Client_id @""
#define Client_secret @""
#define Redirect_uri @""

@interface RootViewController : UIViewController

@property (weak, nonatomic) IBOutlet UITextView *logView;

@property (weak, nonatomic) IBOutlet UILabel *bindingDevice;

@property (weak, nonatomic) IBOutlet UILabel *MicroLifeDeviceSDKVersionNumber;

@property (weak, nonatomic) IBOutlet UILabel *VersionNumber;


@property (retain, nonatomic) MicroLifeUserInfo *currUser;

@property (retain, nonatomic) NSData *tempBindingDevice;

@property (retain, nonatomic) NSData *bpmBindingDevice;

@property (retain, nonatomic) NSData *weipBindingDevice;

@property (retain, nonatomic) NSData *ebBindingDevice;

@property (retain, nonatomic) NSData *wbpBindingDevice;

@property (retain, nonatomic) NSData *wboBindingDevice;

@property (retain, nonatomic) NSData *wbo3BindingDevice;

- (void)clearLogStr;

- (void)addLogWhitText:(NSString *)text;

- (void)addLogWhitTextInTop:(NSString *)text;

- (void)bindingDeviceWhitMacAddres:(NSData *)macAddress;

- (NSString *)getBPMuserID;

- (NSString *)getEBodyuserID;

- (NSString *)getUBuserID;
@end
